Bug 16892 - Disk Druid messages are unreadable in Russian
Disk Druid messages are unreadable in Russian
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-08-24 16:51 EDT by Leonid Kanter
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-01 15:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2000-08-24 16:51:58 EDT
If Russian language was selected for installation, Disk Druid messages are
unreadable, just like wrong locale or wrong table was used during .po 
formatting. For example, it should be "sOZDANIE USTROJSTWA RAID", but now
it looks like "A^WTP]XU cab`^YabRP RAID".  If you are not familiar with
Cyrillic, you still are able to see that capital and small letters are
mixed in some words.  The same bad thing happened for message that appears
during X configuration test - I was unable to read my own translation.  All
other stages of installation process - OK. This bug wasn't present in RC1,
what happened? :-(

As for Ukrainian, everyting is OK now.
Comment 1 Brock Organ 2000-08-24 17:22:09 EDT
verified that the messages for the RAID button appear as described above ...
Comment 2 Leonid Kanter 2000-08-27 11:03:11 EDT
As you see above, Bugzilla is not 8bit-aware, it cleaned 8th bit on KOI8-R text.
To find out how messages should really look, you may select koi8-r font in
gnome-terminal and find appropriate pair of messages in it.
Comment 3 Leonid Kanter 2000-08-27 11:04:12 EDT
I mean, pair of messages in ru.po
Comment 4 Leonid Kanter 2000-09-30 12:24:49 EDT
I found the reason. Looks like you removed from instimage/usr/lib/locale all
locales, that are not listed in anaconda/lang-table. In glibc-2.1.92 directory
/usr/lib/locale/ru_RU.KOI8-R disappeared and /usr/lib/locale/ru_RU.koi8r
appeared.  Because /usr/lib/locale/ru_RU is for ISO8859-5 locale, that is not
used in installation process, you shoud remove ru_RU from
instimage/usr/lib/locale and leave ru_RU.koi8r there, that in this new glibc is
the same like ru_RU.KOI8-R, listed in lang-table. I copied ru_RU.koi8r from my
/usr/lib/locale to instimage, created new stage2.img with mkisofs and tested nfs
install - everything is OK.
Comment 5 Leonid Kanter 2000-12-24 11:31:56 EST
This bug is still present in 7.1 beta1. Are you going to fix it? I already supplied all necessary information.
Comment 6 Leonid Kanter 2001-02-01 17:12:45 EST
resolved in Fisher

Note You need to log in before you can comment on or make changes to this bug.